#!/usr/bin/python3

import matplotlib.pyplot as plt
import math

fig,ax = plt.subplots()
ax.set(xlim = [0,600],ylim = [0,550],
       title = "Fraktálový strom")

# Rekurzívne kreslenie stromu
def draw_fracttree(x1,y1,uhol,krok):
    # Podmienka ukončenia rekurzie
    if krok:
        x2 = x1+int(math.cos(math.radians(uhol))*krok*8.0)
        y2 = y1+int(math.sin(math.radians(uhol))*krok*10.0)

        # Čiara z bodu x1,y1 do bodu x2,y2
        ax.plot([x1,x2],[y1,y2])

        # Rekurzívne volanie tej istej funkcie
        draw_fracttree(x2,y2,uhol-20,krok-1)
        draw_fracttree(x2,y2,uhol+20,krok-1)

# Prvotné volanie rekurzívnej funkcie
# - štart kreslenia stromu v bode 300,0
# - uhol natočenia čiary v 1. kroku 90 stupňov
# - počet krokov rekurzie 10
draw_fracttree(300,0,90,10)

plt.show()
